<template>
  <div class="container mx-auto">
    <div
      class="
        grid grid-cols-1
        sm:grid-cols-2
        md:grid-cols-3
        lg:grid-cols-4
        gap-4
        sm:gap-6
        md:gap-4
        lg:gap-4
        mt-2
        sm:mt-10
        mx-2
        md:mx-4
        lg:mx-8
      "
    >
      <div v-for="pet in petsList" :key="pet.id">
        <PetTemplate
          :id="pet.id"
          :src="pet.src"
          :name="pet.name"
          :breed="pet.breed"
          :age="pet.age"
          :location="pet.location"
          :adopted="pet.adopted"
        />
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  data() {
    return {
      pets: [
        {
          id: 0,
          name: 'BassetHound',
          src: 'images/basset-hound.jpg',
          age: 3,
          breed: 'Scottish Terrier',
          location: 'Lisco, Alabama',
        },
        {
          id: 1,
          name: 'BichonFrise',
          src: 'images/bichon-frise.jpg',
          age: 3,
          breed: 'Scottish Terrier',
          location: 'Tooleville, West Virginia',
        },
        {
          id: 2,
          name: 'BostonTerrier',
          src: 'images/boston-terrier.jpg',
          age: 2,
          breed: 'French Bulldog',
          location: 'Freeburn, Idaho',
        },
        {
          id: 3,
          name: 'WelshCorgi',
          src: 'images/welsh-corgi.jpg',
          age: 4,
          breed: 'Golden Retriever',
          location: 'Sultana, Massachusetts',
        },
        {
          id: 4,
          name: 'Chihuahua',
          src: 'images/chihuahua.jpg',
          age: 2,
          breed: 'French Bulldog',
          location: 'Gerber, South Dakota',
        },
        {
          id: 5,
          name: 'FieldSpaniel',
          src: 'images/field-spaniel.jpg',
          age: 3,
          breed: 'French Bulldog',
          location: 'Innsbrook, Illinois',
        },
        {
          id: 6,
          name: 'FrenchBulldog',
          src: 'images/french-bulldog.jpg',
          age: 3,
          breed: 'Golden Retriever',
          location: 'Soudan, Louisiana',
        },
        {
          id: 7,
          name: 'GoldenRetriever',
          src: 'images/golden-retriever.jpg',
          age: 3,
          breed: 'Golden Retriever',
          location: 'Jacksonwald, Palau',
        },
        {
          id: 8,
          name: 'Havanese',
          src: 'images/havanese.jpg',
          age: 2,
          breed: 'French Bulldog',
          location: 'Honolulu, Hawaii',
        },
        {
          id: 9,
          name: 'Keeshond',
          src: 'images/keeshond.jpg',
          age: 3,
          breed: 'Boxer',
          location: 'Matheny, Utah',
        },
        {
          id: 10,
          name: 'LhasaApso',
          src: 'images/lhasa-apso.jpg',
          age: 2,
          breed: 'Boxer',
          location: 'Tyhee, Indiana',
        },
        {
          id: 11,
          name: 'Pretty',
          src: 'images/pretty.jpg',
          age: 3,
          breed: 'Scottish Terrier',
          location: 'Windsor, Montana',
        },
        {
          id: 12,
          name: 'ScottishTerrier',
          src: 'images/scottish-terrier.jpg',
          age: 3,
          breed: 'French Bulldog',
          location: 'Kingstowne, Nevada',
        },
        {
          id: 13,

          name: 'Boxer',
          src: 'images/boxer.jpg',
          age: 2,
          breed: 'Boxer',
          location: 'Camas, Pennsylvania',
        },
        {
          id: 14,
          name: 'WestHighland',
          src: 'images/west-highland.jpg',
          age: 2,
          breed: 'Golden Retriever',
          location: 'Broadlands, Oregon',
        },
        {
          id: 15,
          name: 'Whippet',
          src: 'images/whippet.jpg',
          age: 2,
          breed: 'Golden Retriever',
          location: 'Dawn, Wisconsin',
        },
      ],
    }
  },
  computed: {
    ...mapGetters({
      walletIsEnable: 'wallet/walletIsEnable',
      account: 'wallet/getAccount',
      adopteds: 'wallet/getAdopteds',
    }),
    petsList() {
      return this.pets.map((item) => {
        const s = this.adopteds.find((e) => {
          return e.id === item.id
        })

        return {
          id: item.id,
          name: item.name,
          src: item.src,
          age: item.age,
          breed: item.breed,
          location: item.location,
          adopted: !!s,
        }
      })
    },
  },
}
</script>

<style></style>
